var safe = {
    bindFlag:false
};
// 图形验证码
ccwl.handleCheckImgCode = function (params,obj){
    this.ajax({
        url:'/service/check_img_authcode',
        type:'GET',
        data:params
    },function (res){
        ccwl.handleChangeBindMobile(obj);
    },function(res){
        var dom = $(obj).parents('.form-container');
        changeImgCode(dom.find('.img-code'))
        dom.find("input[name='imgCode']").val('');
        dom.find('.send-code').addClass('gray').attr('disabled',true);
    })
}
// 验证绑定手机
function checkBindMobile(obj){
    var dom = $(obj).parents('.form-container');
    var phone = $.trim(dom.find("input[name='phone']").val());
    var imgCode = dom.find("input[name='imgCode']").val();
    var code = dom.find("input[name='code']").val();
    if (!phone) {
        ccwl.showToast({
            msg: '请输入手机号码',
        })
        return false;
    } else if (phone && !ccwl.reg.phone.test(phone)) {
        ccwl.showToast({
            msg: '请输入正确的手机号码',
        })
        return false;
    } else if (!imgCode) {
        ccwl.showToast({
            msg: '请输入图形验证码',
        })
        return false;
    } else if (!code) {
        ccwl.showToast({
            msg: '请输入验证码',
        })
        return false;
    }
    return {
        phone:phone, //  手机
        auth_code:code,//  短信验证码
        img_authcode:imgCode// 图形验证码
    }
}
// 替换验证码
function changeImgCode(dom){
    var codeSrc = dom.attr('data-src');
    dom.attr('src',codeSrc+'?type='+Math.random());
}
// 身份证加密
function formatIdcard (idcard){
    realName = $.trim(idcard);
    if(idcard.length == 15){
        return idcard.replace(/(?<=\d{3})\d{9}(?=\d{2})/,"*********")
    }else{
        return idcard.replace(/(?<=\d{3})\d{12}(?=\d{2})/,"************")
    }
}
function formatRealName (realName){
    realName = $.trim(realName);
    return realName.substr(0,1)+new Array(realName.length).join('*');
}
// 绑定手机
ccwl.handleChangeBindMobile = function (obj){
    var params = checkBindMobile(obj);
    this.ajax({
        url:safe.bindFlag?'/service/check_sms_authcode':'/user/bind_mobile',
        type:'POST',
        data:params
    },function (res){
        if(safe.bindFlag){
            changeImgCode($('.next-update-form .img-code'));
            $('.next-update').hide();
            $('.next-update-form').show();
        }else{
            location.href='/user/safe'
        }

    },function(res){

    })
}
// 绑定身份证
ccwl.handleBindIdCard = function (params){
    this.ajax({
        url:'/user/bind_realname',
        type:'POST',
        data:params
    },function (res){
       window.location.reload();
    },function(res){
        window.location.reload();
    })
}

$(function (){
    var fIdCard = $('#idCard').text();
    var fRealName = $('#realName').text();
    if(fIdCard || fRealName){
        $('#idCard').text(formatIdcard(fIdCard));
        $('#realName').text(formatRealName(fRealName));
    }
    $('.safe-bind-mobile').click(function (){
        safe.bindFlag = false;
        var params = checkBindMobile(this);
        if(params.img_authcode){
            ccwl.handleCheckImgCode({captcha:params.img_authcode},this);
        }
    });
    $("input[name='imgCode']").keyup(function (){
        var imgCode = $(this).val();
        if(imgCode.length == 6){
            $(this).parents('.form').find('.send-code').removeClass('gray').removeAttr('disabled');
        }else{
            $(this).parents('.form').find('.send-code').addClass('gray').attr('disabled',true);
        }
    })
    // 刷新图形验证码
    $(".img-code").click(function (){
        changeImgCode($(this))
    });
    $('.btn-change-bind').click(function (){
        $('.update-success').hide()
        $('.next-update').fadeIn();
    });
    $('.safe-bind-mobile-next').click(function (){
        safe.bindFlag = true;
        var params = checkBindMobile(this);
        if(params.img_authcode){
            ccwl.handleCheckImgCode({captcha:params.img_authcode},this);
        }
    });
    $('.safe-bind-realname').click(function (){
        var realName = $("input[name='realName']").val();
        var idCard = $("input[name='idCard']").val();
        if (!realName) {
            ccwl.showToast({
                msg: '请输入真实姓名',
            })
            return false;
        } else if (!idCard) {
            ccwl.showToast({
                msg: '请输入身份证号码',
            })
            return false;
        } else if (idCard && (idCard.length != 15 && idCard.length != 18)) {
            ccwl.showToast({
                msg: '请输入正确的身份证号码',
            })
            return false;
        }
        let params = {
            real_name:realName,
            id_card:idCard
        }
        ccwl.handleBindIdCard(params)
    });
    $('.rules-fcm').click(function (){
        $('.dialog-fcm').fadeIn();
    })
});
